Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
EventLog.idl
1/* SPDX-License-Identifier: BSD-3-Clause */
2/*
3 * Copyright 2010 Raritan Inc. All rights reserved.
4 */
5
6#ifndef __LOG_EVENTLOG_IDL__
7#define __LOG_EVENTLOG_IDL__
8
9#include <Log.idl>
10#include <UserEvent.idl>
11
12/**
13 * Device Logging
14 */
15module logging {
16
17 /**
18 * Event log cleared event
19 */
20 valueobject EventLogClearedEvent extends event.UserEvent {};
21
22 /** Device event log interface */
23 interface EventLog {
24 /**
25 * Clear the event log.
26 */
27 void clear();
28
29 /**
30 * Get info about the event log.
31 *
32 * @return log info
33 */
34 LogInfo getInfo();
35
36 /**
37 * Fetch a chunk from the event log.
38 *
39 * For details regarding the behavior of this method refer to the description
40 * of the \ref logging module in Log\.idl.
41 *
42 * @param idRef First log id to fetch
43 * @param count Number of entries to fetch (applies after filtering)
44 * @param direction Range direction
45 * @param categories Event categories to filter for. If empty, filtering is disabled.
46 *
47 * @return log chunk
48 */
49 LogChunk getChunk(in int refId, in int count, in RangeDirection direction, in vector<string> categories);
50
51 };
52
53}
54
55#endif /* __LOG_EVENTLOG_IDL__ */
logging::EventLog
Device event log interface.
Definition EventLog.idl:23
logging::EventLog::clear
void clear()
Clear the event log.
logging::EventLog::getInfo
LogInfo getInfo()
Get info about the event log.
logging::EventLog::getChunk
LogChunk getChunk(in int refId, in int count, in RangeDirection direction, in vector< string > categories)
Fetch a chunk from the event log.
logging
Device Logging.
Definition DebugLog.idl:14
logging::RangeDirection
RangeDirection
Range direction when fetching log entries.
Definition Log.idl:108
logging::EventLogClearedEvent
Event log cleared event.
Definition EventLog.idl:20
logging::LogChunk
A log chunk.
Definition Log.idl:100
logging::LogInfo
General log info.
Definition Log.idl:84